Page MenuHomePhabricator

Add a check to verify that [mediawiki/core]/autoload.php doesn't change after running maintenance/generateLocalAutoload.php
Closed, ResolvedPublic

Description

Please add a check to verify that rMW/autoload.php doesn't change after running maintenance/generateLocalAutoload.php, to avoid commits like https://gerrit.wikimedia.org/r/#/c/260114/.

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 18 2015, 10:37 PM
Legoktm set Security to None.
Legoktm added a subscriber: Umherirrender.
Florian added a subscriber: Florian.May 6 2016, 9:51 PM

Change 265303 had a related patch set uploaded (by Florianschmidtwelzow):
Structure test: Add autoload.php order check

https://gerrit.wikimedia.org/r/265303

Change 265303 merged by jenkins-bot:
Structure test: Add autoload.php order check

https://gerrit.wikimedia.org/r/265303

matmarex closed this task as Resolved.Aug 3 2016, 4:23 PM
matmarex assigned this task to Florian.

Yay!